### Type Parameters

### Hierarchy

- TextOptions

## Index

### Properties

- active
- angle
- color
- exceedLength
- expression
- isCustom
- literal
- lowerBoundary
- name
- offsetX
- offsetY
- operator
- operators
- propertyName
- rotateWithView
- size
- text
- type
- upperBoundary
- width

## Properties

### active

active: boolean

- Defined in src/rule/Text.js:40

(RuleOptions)

### angle

angle: number

- Defined in src/rule/Text.js:33

### color

color: Color

- Defined in src/rule/Text.js:35

### exceedLength

exceedLength: boolean

- Defined in src/rule/Text.js:39

### expression

expression: string | number

- Defined in src/rule/Text.js:41

(RuleOptions)

### isCustom

isCustom: boolean

- Defined in src/rule/Text.js:43

(RuleOptions)

### literal

literal: string | number | string[]

- Defined in src/rule/Text.js:42

(RuleOptions)

### lowerBoundary

lowerBoundary: number

- Defined in src/rule/Text.js:44

(RuleOptions)

### name

name: string

- Defined in src/rule/Text.js:45

(RuleOptions)

### offsetX

offsetX: number

- Defined in src/rule/Text.js:37

### offsetY

offsetY: number

- Defined in src/rule/Text.js:38

### operator

operator: string

- Defined in src/rule/Text.js:46

(RuleOptions)

### operators

operators: string[]

- Defined in src/rule/Text.js:47

(RuleOptions)

### propertyName

propertyName: string

- Defined in src/rule/Text.js:48

(RuleOptions)

### rotateWithView

rotateWithView: boolean

- Defined in src/rule/Text.js:34

### size

size: number

- Defined in src/rule/Text.js:32

### text

text: string

- Defined in src/rule/Text.js:31

### type

type: string

- Defined in src/rule/Text.js:49

(RuleOptions)

### upperBoundary

upperBoundary: number

- Defined in src/rule/Text.js:50

(RuleOptions)

### width

width: number

- Defined in src/rule/Text.js:36

Generated using TypeDoc